View Issue Details

IDProjectCategoryView StatusLast Update
0000088WolfAdminAdminpublic2019-02-05 16:31
ReporterTimoAssigned ToTimo 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version1.3.0Fixed in Version 
Summary0000088: Implement g_teamDamageRestriction
DescriptionAuto kick for excessive team bleeders.
Additional Informationhttps://dev.etlegacy.com/issues/304
TagsNo tags attached.
ModN/A
Mod version
Standaloneyes

Activities

Timo

2019-02-05 14:45

administrator   ~0000123

Fixed in changeset 26e38bca7d634ddaa70a208bfb254b4b6cbdbd24.

Related Changesets

WolfAdmin: develop/1.3.0 26e38bca

2019-02-05 14:46:28

Timo

Details Diff
Implemented team damage restriction (fixes 0000088) Affected Issues
0000088
mod - config/wolfadmin.toml Diff File
mod - luascripts/wolfadmin/admin/admin.lua Diff File
mod - luascripts/wolfadmin/game/sprees.lua Diff File
mod - luascripts/wolfadmin/main.lua Diff File
mod - luascripts/wolfadmin/util/settings.lua Diff File

WolfAdmin: develop/1.3.0 12c21f2c

2019-02-05 15:02:36

Timo

Details Diff
Added safety checks for team damage restriction (refs 0000088) Affected Issues
0000088
mod - luascripts/wolfadmin/admin/admin.lua Diff File

WolfAdmin: develop/1.3.0 adcd3f4e

2019-02-05 16:37:09

Timo

Details Diff
Added new event onPlayerDamage (refs 0000088)

* introduced in 26e38bca7d634ddaa70a208bfb254b4b6cbdbd24
Affected Issues
0000088
mod - luascripts/wolfadmin/util/events.lua Diff File

Issue History

Date Modified Username Field Change
2018-12-31 12:05 Timo New Issue
2019-01-17 10:00 Timo Target Version => 1.3.0
2019-01-31 18:40 Timo Category General => Admin
2019-02-05 14:45 Timo Changeset attached => WolfAdmin develop/1.3.0 26e38bca
2019-02-05 14:45 Timo Note Added: 0000123
2019-02-05 14:45 Timo Assigned To => Timo
2019-02-05 14:45 Timo Status new => resolved
2019-02-05 14:45 Timo Resolution open => fixed
2019-02-05 14:57 Timo Changeset attached => WolfAdmin develop/1.3.0 12c21f2c
2019-02-05 15:40 Timo Changeset attached => WolfAdmin develop/1.3.0 13d4f7c9
2019-02-05 15:40 Timo Changeset attached => WolfAdmin develop/1.3.0 2cbb5424
2019-02-05 15:42 Timo Changeset removed WolfAdmin develop/1.3.0 13d4f7c9 =>
2019-02-05 15:42 Timo Changeset removed WolfAdmin develop/1.3.0 2cbb5424 =>
2019-02-05 16:31 Timo Changeset attached => WolfAdmin develop/1.3.0 adcd3f4e